CAD Forums > CAD General

Change Multileader Defined Height

<< < (2/4) > >>

cadtag:
Thats' been irritating me for a while now.  I'm glad you found a fix, even if it is one at a time.  thanks!

ronjonp:
After digging into this a bit more this seems to work ( AutoCAD 2019 ). I would test it out though. I've 'entmodded' mleaders in the past and get some funky results.

--- Code - Auto/Visual Lisp: ---(defun c:foo (/ s)  ;; RJP » 2019-01-16  ;; Reset mleader textbox height  (if (setq s (ssget ":L" '((0 . "multileader"))))    (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s)))      (entmod (subst '(44 . 0.0) (assoc 44 (entget e)) (entget e)))    )  )  (princ))

Dave M:

--- Quote from: ronjonp on January 16, 2019, 04:54:44 PM ---After digging into this a bit more this seems to work ( AutoCAD 2019 ). I would test it out though. I've 'entmodded' mleaders in the past and get some funky results.

--- Code - Auto/Visual Lisp: ---(defun c:foo (/ s)  ;; RJP » 2019-01-16  ;; Reset mleader textbox height  (if (setq s (ssget ":L" '((0 . "multileader"))))    (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s)))      (entmod (subst '(44 . 0.0) (assoc 44 (entget e)) (entget e)))    )  )  (princ))
--- End quote ---


Thanks ronjop!


So far it seems to working well.  The only thing I can think that would make it better is if it could shrink to the extents of the text.  I don't code so I appreciate any help I can get.  I suspect the files I'm working on were converted from Microstation or another platform.


Thanks, again!

ronjonp:
Maybe post a sample drawing. The grips wrap to text on my drawing.

kdub_nz:

Ron,
when the dust settles ... is there a story behind that leader text quote ??

Regards,

Navigation

[0] Message Index

[#] Next page

[*] Previous page

Go to full version